Console Output

11:43:29 Started by user Giuseppe Scrivano
11:43:29 Running as SYSTEM
11:43:29 [EnvInject] - Loading node environment variables.
11:43:29 Building in workspace /var/lib/jenkins/jobs/install_origin_ci_tool/workspace
11:43:29 No credentials specified
11:43:29  > git rev-parse --is-inside-work-tree # timeout=10
11:43:29 Fetching changes from the remote Git repository
11:43:29  > git config remote.origin.url git@github.com:openshift/origin-ci-tool.git # timeout=10
11:43:29 Fetching upstream changes from git@github.com:openshift/origin-ci-tool.git
11:43:29  > git --version # timeout=10
11:43:29  > git fetch --tags --progress git@github.com:openshift/origin-ci-tool.git +refs/heads/*:refs/remotes/origin/* # timeout=10
11:43:30  > git rev-parse refs/remotes/origin/master^{commit} # timeout=10
11:43:30  > git rev-parse refs/remotes/origin/origin/master^{commit} # timeout=10
11:43:30 Checking out Revision 106a16ea3d38e0f479e9b45ba58fd5c40478bec2 (refs/remotes/origin/master)
11:43:30  > git config core.sparsecheckout # timeout=10
11:43:30  > git checkout -f 106a16ea3d38e0f479e9b45ba58fd5c40478bec2 # timeout=10
11:43:30 Commit message: "Merge pull request #197 from giuseppe/add-new-type-fedora-cgroupv2"
11:43:30  > git rev-list --no-walk 6f8991b9d2cf322fadd103555399c635aac6ce5f # timeout=10
11:43:30 [workspace] $ /bin/bash /tmp/jenkins8074878445650087794.sh
11:43:30 ++ git log -n 1 --pretty=%H
11:43:30 + latest_sha=106a16ea3d38e0f479e9b45ba58fd5c40478bec2
11:43:30 + venv_dir=/var/lib/jenkins/origin-ci-tool/106a16ea3d38e0f479e9b45ba58fd5c40478bec2
11:43:30 + virtualenv /var/lib/jenkins/origin-ci-tool/106a16ea3d38e0f479e9b45ba58fd5c40478bec2 --system-site-packages
11:43:30 New python executable in /var/lib/jenkins/origin-ci-tool/106a16ea3d38e0f479e9b45ba58fd5c40478bec2/bin/python
11:43:30 Installing setuptools, pip, wheel...done.
11:43:32 + rm -f /var/lib/jenkins/origin-ci-tool/106a16ea3d38e0f479e9b45ba58fd5c40478bec2/bin/activate
11:43:32 + cat
11:43:32 + source /var/lib/jenkins/origin-ci-tool/106a16ea3d38e0f479e9b45ba58fd5c40478bec2/bin/activate
11:43:32 ++ export VIRTUAL_ENV=/var/lib/jenkins/origin-ci-tool/106a16ea3d38e0f479e9b45ba58fd5c40478bec2
11:43:32 ++ VIRTUAL_ENV=/var/lib/jenkins/origin-ci-tool/106a16ea3d38e0f479e9b45ba58fd5c40478bec2
11:43:32 ++ export PATH=/var/lib/jenkins/origin-ci-tool/106a16ea3d38e0f479e9b45ba58fd5c40478bec2/bin:/sbin:/usr/sbin:/bin:/usr/bin
11:43:32 ++ PATH=/var/lib/jenkins/origin-ci-tool/106a16ea3d38e0f479e9b45ba58fd5c40478bec2/bin:/sbin:/usr/sbin:/bin:/usr/bin
11:43:32 ++ unset PYTHON_HOME
11:43:32 + pip install --upgrade 'pip<19'
11:43:32 Cache entry deserialization failed, entry ignored
11:43:32 Collecting pip<19
11:43:32   Using cached https://files.pythonhosted.org/packages/c2/d7/90f34cb0d83a6c5631cf71dfe64cc1054598c843a92b400e55675cc2ac37/pip-18.1-py2.py3-none-any.whl
11:43:32 Installing collected packages: pip
11:43:32   Found existing installation: pip 9.0.1
11:43:33     Uninstalling pip-9.0.1:
11:43:33       Successfully uninstalled pip-9.0.1
11:43:33 Successfully installed pip-18.1
11:43:34 + pip install --upgrade setuptools
11:43:35 Collecting setuptools
11:43:35   Downloading https://files.pythonhosted.org/packages/f9/d3/955738b20d3832dfa3cd3d9b07e29a8162edb480bf988332f5e6e48ca444/setuptools-44.0.0-py2.py3-none-any.whl (583kB)
11:43:35 Installing collected packages: setuptools
11:43:35   Found existing installation: setuptools 28.8.0
11:43:35     Uninstalling setuptools-28.8.0:
11:43:36       Successfully uninstalled setuptools-28.8.0
11:43:36 Successfully installed setuptools-44.0.0
11:43:36 You are using pip version 18.1, however version 20.0.2 is available.
11:43:36 You should consider upgrading via the 'pip install --upgrade pip' command.
11:43:36 + pip install . --process-dependency-links
11:43:37 Processing /var/lib/jenkins/jobs/install_origin_ci_tool/workspace
11:43:41 DEPRECATION: Dependency Links processing has been deprecated and will be removed in a future release. A possible replacement is PEP 508 URL dependencies. You can find discussion regarding this at https://github.com/pypa/pip/issues/4187.
11:43:41 Requirement already satisfied: Click<7.0 in /usr/lib/python2.7/site-packages (from origin-ci-tool==0.1.0) (6.7)
11:43:41 Collecting ansible==3.0.0 (from origin-ci-tool==0.1.0)
11:43:41   Cloning https://github.com/stevekuznetsov/ansible.git (to revision skuznets/oct-release) to /tmp/pip-install-l8rjal/ansible
11:43:48 Switched to a new branch 'skuznets/oct-release'
11:43:48 Branch skuznets/oct-release set up to track remote branch skuznets/oct-release from origin.
11:43:48 Requirement already satisfied: backports.shutil_get_terminal_size in /usr/lib/python2.7/site-packages (from origin-ci-tool==0.1.0) (1.0.0)
11:43:48 Requirement already satisfied: semver in /usr/lib/python2.7/site-packages (from origin-ci-tool==0.1.0) (2.7.2)
11:43:48 Requirement already satisfied: junit_xml in /usr/lib/python2.7/site-packages (from origin-ci-tool==0.1.0) (1.7)
11:43:48 Collecting structlog (from origin-ci-tool==0.1.0)
11:43:48   Downloading https://files.pythonhosted.org/packages/2c/f2/6061ddd6574363534c230bbf2912596abecbda38f5fb923042313eeabc46/structlog-20.1.0-py2.py3-none-any.whl (40kB)
11:43:49 Requirement already satisfied: boto3 in /usr/lib/python2.7/site-packages (from origin-ci-tool==0.1.0) (1.4.6)
11:43:49 Requirement already satisfied: paramiko in /usr/lib/python2.7/site-packages (from ansible==3.0.0->origin-ci-tool==0.1.0) (1.16.1)
11:43:49 Requirement already satisfied: jinja2 in /usr/lib/python2.7/site-packages (from ansible==3.0.0->origin-ci-tool==0.1.0) (2.7.2)
11:43:49 Requirement already satisfied: PyYAML in /usr/lib64/python2.7/site-packages (from ansible==3.0.0->origin-ci-tool==0.1.0) (3.10)
11:43:49 Requirement already satisfied: setuptools in /var/lib/jenkins/origin-ci-tool/106a16ea3d38e0f479e9b45ba58fd5c40478bec2/lib/python2.7/site-packages (from ansible==3.0.0->origin-ci-tool==0.1.0) (44.0.0)
11:43:49 Requirement already satisfied: pycrypto>=2.6 in /usr/lib64/python2.7/site-packages (from ansible==3.0.0->origin-ci-tool==0.1.0) (2.6.1)
11:43:49 Requirement already satisfied: six in /usr/lib/python2.7/site-packages (from junit_xml->origin-ci-tool==0.1.0) (1.10.0)
11:43:49 Requirement already satisfied: botocore<1.7.0,>=1.6.0 in /usr/lib/python2.7/site-packages (from boto3->origin-ci-tool==0.1.0) (1.6.0)
11:43:49 Requirement already satisfied: jmespath<1.0.0,>=0.7.1 in /usr/lib/python2.7/site-packages (from boto3->origin-ci-tool==0.1.0) (0.9.0)
11:43:49 Requirement already satisfied: s3transfer<0.2.0,>=0.1.10 in /usr/lib/python2.7/site-packages (from boto3->origin-ci-tool==0.1.0) (0.1.10)
11:43:49 Requirement already satisfied: ecdsa>=0.11 in /usr/lib/python2.7/site-packages (from paramiko->ansible==3.0.0->origin-ci-tool==0.1.0) (0.13.3)
11:43:49 Requirement already satisfied: markupsafe in /usr/lib64/python2.7/site-packages (from jinja2->ansible==3.0.0->origin-ci-tool==0.1.0) (0.11)
11:43:49 Requirement already satisfied: python-dateutil<3.0.0,>=1.4 in /usr/lib/python2.7/site-packages (from botocore<1.7.0,>=1.6.0->boto3->origin-ci-tool==0.1.0) (1.5)
11:43:49 Requirement already satisfied: docutils>=0.10 in /usr/lib/python2.7/site-packages (from botocore<1.7.0,>=1.6.0->boto3->origin-ci-tool==0.1.0) (0.11)
11:43:49 Requirement already satisfied: futures<4.0.0,>=2.2.0 in /usr/lib/python2.7/site-packages (from s3transfer<0.2.0,>=0.1.10->boto3->origin-ci-tool==0.1.0) (3.1.1)
11:43:49 Building wheels for collected packages: origin-ci-tool, ansible
11:43:49   Running setup.py bdist_wheel for origin-ci-tool: started
11:44:16   Running setup.py bdist_wheel for origin-ci-tool: finished with status 'done'
11:44:16   Stored in directory: /tmp/pip-ephem-wheel-cache-KyGU9D/wheels/9b/e7/d5/d5ff012fde75c2019a8d0895331877d5a1d1f20cdf669c1e66
11:44:21   Running setup.py bdist_wheel for ansible: started
11:44:24   Running setup.py bdist_wheel for ansible: finished with status 'done'
11:44:24   Stored in directory: /tmp/pip-ephem-wheel-cache-KyGU9D/wheels/8d/4d/ae/996474d52da425371b337bd3b52ff1eb3fdd7d7dba49b26f31
11:44:24 Successfully built origin-ci-tool ansible
11:44:24 Installing collected packages: ansible, structlog, origin-ci-tool
11:44:24   Found existing installation: ansible 2.9.1
11:44:24     Not uninstalling ansible at /usr/lib/python2.7/site-packages, outside environment /var/lib/jenkins/origin-ci-tool/106a16ea3d38e0f479e9b45ba58fd5c40478bec2
11:44:24     Can't uninstall 'ansible'. No files were found to uninstall.
11:44:34 Successfully installed ansible-3.0.0 origin-ci-tool-0.1.0 structlog-20.1.0
11:44:35 You are using pip version 18.1, however version 20.0.2 is available.
11:44:35 You should consider upgrading via the 'pip install --upgrade pip' command.
11:44:35 + rm -f /var/lib/jenkins/origin-ci-tool/latest
11:44:35 + ln -s /var/lib/jenkins/origin-ci-tool/106a16ea3d38e0f479e9b45ba58fd5c40478bec2 /var/lib/jenkins/origin-ci-tool/latest
11:44:35 Finished: SUCCESS